summaryrefslogtreecommitdiff
path: root/testsuite/gna/bug017/testsuite.sh
diff options
context:
space:
mode:
Diffstat (limited to 'testsuite/gna/bug017/testsuite.sh')
-rwxr-xr-xtestsuite/gna/bug017/testsuite.sh40
1 files changed, 40 insertions, 0 deletions
diff --git a/testsuite/gna/bug017/testsuite.sh b/testsuite/gna/bug017/testsuite.sh
new file mode 100755
index 0000000..ec1f709
--- /dev/null
+++ b/testsuite/gna/bug017/testsuite.sh
@@ -0,0 +1,40 @@
+#! /bin/sh
+
+. ../../testenv.sh
+
+units="
+call1
+call2
+call3
+call4
+call5
+call6
+call7
+call8
+call9
+for1
+if1
+if2
+if3
+if4
+loop1
+loop2
+ret1
+wait1
+wait2
+wait3
+"
+
+for f in $units; do
+ analyze ${f}.vhdl
+ elab_simulate $f --assert-level=error 2>&1 | tee res.out
+ if ! grep -q SUCCESS res.out; then
+ echo "Failure of $f"
+ exit 1
+ fi
+done
+
+rm -f res.out
+clean
+
+echo "Test successful"